Bug 101035 - compiler warnings in gdict
Summary: compiler warnings in gdict
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-utils   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marco Pesenti Gritti
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords: MoveUpstream, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-28 18:54 UTC by d.binderman
Modified: 2015-01-08 00:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 15:05:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2003-07-28 18:54:36 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:

Comment 1 d.binderman 2003-07-28 18:55:09 UTC
Hello there,

I just tried to compile package gnome-utils-2.2.0.3-2 from Redhat 9.0
with compiler flag -Wall.

The compiler said

gdict-defbox.c:277: warning: `return' with no value, in function returning non-void
gdict-defbox.c:278: warning: `return' with no value, in function returning non-void

Sounds like something worth fixing !


Comment 2 Marco Pesenti Gritti 2004-10-19 15:05:23 UTC
This is fixed in recent versions of gnome-utils.


Note You need to log in before you can comment on or make changes to this bug.